Name:           unicode-ucd
Version:        16.0.0
Release:        %mkrel 2
Summary:        Unicode Character Database
Group:          System/Internationalization
License:        MIT
URL:            https://www.unicode.org/ucd/
Source0:        https://www.unicode.org/Public/zipped/%{version}/UCD.zip#/%{name}-%{version}.zip
Source1:        https://www.unicode.org/Public/zipped/%{version}/Unihan.zip#/Unihan-%{version}.zip
# https://www.unicode.org/terms_of_use.html referenced in ReadMe.txt redirects to:
Source10:       https://www.unicode.org/copyright.html#/copyright-%{version}.html
BuildArch:      noarch

%description
The Unicode Character Database (UCD) consists of a number of data files
listing Unicode character properties and related data. It also includes
data files containing test data for conformance to several important
Unicode algorithms.

%prep
%setup -q -c
grep -q "%{version}" ReadMe.txt || (echo "zip file seems not %{version}" ; exit 1)
cp %{S:10} copyright.html
cp %{S:1} Unihan.zip

%build
# Nothing to do here

%install
install -d %{buildroot}%{_datadir}/unicode/ucd
cp -ar . %{buildroot}%{_datadir}/unicode/ucd

%files
%doc ReadMe.txt copyright.html
%dir %{_datadir}/unicode
%{_datadir}/unicode/ucd/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 16.0.0-2.mga10
+ Revision: 2228142
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 16.0.0-1.mga10
+ Revision: 2100919
- new version: 16.0.0

* Tue Oct 31 2023 daviddavid <daviddavid> 15.1.0-1.mga10
+ Revision: 2003013
- new version: 15.1.0

* Thu Nov 03 2022 ghibo <ghibo> 15.0.0-1.mga9
+ Revision: 1902103
- Update to release 15.0.0 (required by gucharmap)

* Mon Mar 21 2022 umeabot <umeabot> 13.0.0-2.mga9
+ Revision: 1812517
- Mageia 9 Mass Rebuild

* Mon Apr 06 2020 kekepower <kekepower> 13.0.0-1.mga8
+ Revision: 1565251
- Update to version 13.0.0

* Thu Feb 20 2020 umeabot <umeabot> 12.1.0-2.mga8
+ Revision: 1547387
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 12.1.0-1.mga8
+ Revision: 1488126
- new version: 12.1.0

* Fri Sep 21 2018 umeabot <umeabot> 11.0.0-2.mga7
+ Revision: 1291983
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 11.0.0-1.mga7
+ Revision: 1237766
- Version 11.0.0

* Mon May 14 2018 akien <akien> 10.0.0-1.mga7
+ Revision: 1229504
- Version 10.0.0

* Thu Sep 22 2016 ovitters <ovitters> 9.0.0-2.mga6
+ Revision: 1055248
- add Unihan for gucharmap

* Thu Aug 11 2016 akien <akien> 9.0.0-1.mga6
+ Revision: 1045701
- Version 9.0.0

* Thu Feb 18 2016 umeabot <umeabot> 8.0.0-2.mga6
+ Revision: 965898
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 akien <akien> 8.0.0-1.mga6
+ Revision: 838821
- Version 8.0.0

* Fri Jan 30 2015 akien <akien> 7.0.0-1.mga5
+ Revision: 812753
- import package unicode-ucd, based on a Fedora package

